import { ListSOP } from '../../libappsop/listsop';
import { FormSOP } from '../../libappsop/formsop';
import { DialogSalesSegment } from '../dialogs/dialog.salessegment';

export class FormSalesSegment extends FormSOP {
  public listSalesSegment = new ListSalesSegment();

  public constructor() {
    super('FormSalesSegments');
  }
}

export class ListSalesSegment extends ListSOP<DialogSalesSegment, ListSalesSegmentColumn> {
  public static title = 'Sales Segments';

  public constructor() {
    // Prefix form name as navigation panel has list sales segment as well
    super('FormSalesSegments.ListSalesSegment', new DialogSalesSegment());

    // Set primary key column name(s), to display in error message when assert fails
    this.rowPrimaryColumnNames = {Name: ''};
  }
}

// List sales segment columns
export interface ListSalesSegmentColumn {
  Name?: string;
}

// List Sales Segment context menu items
const listSalesSegmentContextMenuItem = {
  Create: { ContextMenu: 'listContextMenuSalesSegment', Name: 'MenuCreate', Label: 'Create' },
};

export { listSalesSegmentContextMenuItem as ListSalesSegmentContextMenuItem };
